org.apache.ignite.internal.visor.node

## Class VisorBasicConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorBasicConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorBasicConfiguration
    extends Object
    implements Serializable

Data transfer object for node basic configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorBasicConfiguration()`

### Method Summary

Methods
`Boolean` `clientMode()`
`boolean` `daemon()`
`Object` `deploymentMode()`
`long` `discoStartupDelay()`
`static VisorBasicConfiguration` `from(IgniteEx ignite, IgniteConfiguration c)`
`String` `ggHome()`
`String` `gridName()`
`boolean` `jmxRemote()`
`String` `localHost()`
`String` `logger()`
`String` `marshaller()`
`String` `mBeanServer()`
`long` `networkTimeout()`
`boolean` `noAscii()`
`UUID` `nodeId()`
`boolean` `noDiscoOrder()`
`boolean` `noShutdownHook()`
`String` `programName()`
`boolean` `quiet()`
`boolean` `restart()`
`String` `successFile()`
`String` `toString()`
`boolean` `updateNotifier()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorBasicConfiguration

    public VisorBasicConfiguration()

### Method Detail

#### from

    public static VisorBasicConfiguration from(IgniteEx ignite,
                               IgniteConfiguration c)

Parameters:
  `ignite` - Grid.
  `c` - Grid configuration.
Returns:
  Data transfer object for node basic configuration properties.

#### gridName

    @Nullable
    public String gridName()

Returns:
  Grid name.

#### ggHome

    @Nullable
    public String ggHome()

Returns:
  IGNITE_HOME determined at startup.

#### localHost

    @Nullable
    public String localHost()

Returns:
  Local host value used.

#### nodeId

    public UUID nodeId()

Returns:
  Node id.

#### marshaller

    public String marshaller()

Returns:
  Marshaller used.

#### deploymentMode

    public Object deploymentMode()

Returns:
  Deployment Mode.

#### clientMode

    public Boolean clientMode()

Returns:
  Client mode flag.

#### daemon

    public boolean daemon()

Returns:
  Whether this node daemon or not.

#### jmxRemote

    public boolean jmxRemote()

Returns:
  Whether remote JMX is enabled.

#### restart

    public boolean restart()

Returns:
  Is node restart enabled.

#### networkTimeout

    public long networkTimeout()

Returns:
  Network timeout.

#### logger

    public String logger()

Returns:
  Logger used on node.

#### discoStartupDelay

    public long discoStartupDelay()

Returns:
  Discovery startup delay.

#### mBeanServer

    @Nullable
    public String mBeanServer()

Returns:
  MBean server name

#### noAscii

    public boolean noAscii()

Returns:
  Whether ASCII logo is disabled.

#### noDiscoOrder

    public boolean noDiscoOrder()

Returns:
  Whether no discovery order is allowed.

#### noShutdownHook

    public boolean noShutdownHook()

Returns:
  Whether shutdown hook is disabled.

#### programName

    public String programName()

Returns:
  Name of command line program.

#### quiet

    public boolean quiet()

Returns:
  Whether node is in quiet mode.

#### successFile

    public String successFile()

Returns:
  Success file name.

#### updateNotifier

    public boolean updateNotifier()

Returns:
  Whether update checker is enabled.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015